diff --git a/books/Makefile.pamphlet b/books/Makefile.pamphlet
index f37e103..df96faf 100644
--- a/books/Makefile.pamphlet
+++ b/books/Makefile.pamphlet
@@ -34,7 +34,7 @@ BOOKS=${PDF}/bookvol0.pdf ${PDF}/bookvol1.pdf ${PDF}/bookvol2.pdf \
       ${PDF}/bookvol8.pdf ${PDF}/bookvol9.pdf ${PDF}/bookvol10.pdf \
       ${PDF}/bookvol10.1.pdf ${PDF}/bookvol10.2.pdf ${PDF}/bookvol10.3.pdf \
       ${PDF}/bookvol10.4.pdf ${PDF}/bookvol10.5.pdf \
-      ${PDF}/bookvol11.pdf ${PDF}/bookvol12.pdf 
+      ${PDF}/bookvol11.pdf ${PDF}/bookvol12.pdf ${PDF}/bookvolbib.pdf
 
 all: ${PDF}/axiom.sty ${BOOKS} ${PDF}/toc.pdf
 
@@ -121,6 +121,7 @@ ${PDF}/toc.pdf: ${BOOKS}
 	echo "{\\bf Volume 10.5}: Axiom {\\sl Algebra: Numerics}\\\\" >>toc.toc ; \
 	echo "{\\bf Volume 11}: Axiom {\\sl Browser}\\\\" >>toc.toc ; \
 	echo "{\\bf Volume 12}: Axiom {\\sl Crystal}\\\\" >>toc.toc ; \
+	echo "{\\bf Bibliography}: Axiom {\\sl Bibliography}\\\\" >>toc.toc ; \
 	echo "\\newpage" >>toc.toc ; \
 	echo "\\tableofcontents" >>toc.tex ; \
 	echo "\\end{document}" >>toc.tex ; \
@@ -201,6 +202,10 @@ ${PDF}/toc.pdf: ${BOOKS}
 	echo "\\section*{Volume 12: Axiom Crystal}" >>toc.toc ; \
 <<sed pattern>>
             <bookvol12.toc >>toc.toc ; \
+	echo "\\newpage" >>toc.toc ; \
+	echo "\\section*{Bibliography: Axiom Bibliography}" >>toc.toc ; \
+<<sed pattern>>
+            <bookvolbib.toc >>toc.toc ; \
 	if [ -z "${NOISE}" ] ; then \
 	  ${LATEX} toc.tex ; \
 	  ${DVIPS} toc.dvi 2>/dev/null ; \
@@ -218,6 +223,7 @@ ${PDF}/axiom.sty: ${SRC}/scripts/tex/axiom.sty
 	@cp ${SRC}/scripts/tex/axiom.sty ${PDF}/axiom.sty
 
 @
+\section{Combined Bibliography}
 \eject
 \begin{thebibliography}{99}
 \bibitem{1} CMUCL {\bf http://www.cons.org/cmucl}
diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
new file mode 100644
index 0000000..fb80574
--- /dev/null
+++ b/books/bookvolbib.pamphlet
@@ -0,0 +1,642 @@
+\documentclass{article}
+\begin{document}
+\title{Axiom Literature Citations}
+\author{Nelson H. F. Beebe and Timothy Daly}
+\maketitle
+\begin{abstract}
+A bibliography of Axiom references which are used throughout
+Axiom. The first section contains literature that mentions Axiom,
+initially derived with permission from Nelson Beebe's collection.
+The second section contains references from Axiom to the literature.
+\end{abstract}
+\section{Axiom Citations in the Literature}
+\begin{thebibliography}{999}
+\bibitem[ACM89]{ACM89} 
+ACM, editor. Proceedings of the ACM-SIGSAM 1989 International
+Symposium on Symbolic and Algebraic Computation, ISSAC '89 ACM Press, 
+New York, NY 10036, USA, 1989, ISBN 0-89791-325-6, LCCN QA76.95.I59 1989
+\bibitem[ACM94]{ACM94} 
+ACM, editor, ISSAC '94. Proceedings of the International
+Symposium on Symbolic and Algebraic COmputation. ACM Press, New York, NY,
+10036, USA, 1994, ISBN 0-89791-638-7. LCCN QA76.95.I59 1994
+\bibitem[ACS91]{ACS91} 
+D. Augot, P. Charpin, and N. Sendrier. ``The miniumum
+distance of some binary codes via the Newton's identities'', In Cohen and
+Charping [CC91], pages 65-73 ISBN 0-387-54303-1 (New York), 3-540-54303-1
+(Berlin). LCCN QA268.E95 1990
+\bibitem[And84]{And84}
+George E. Andrews. ``Ramanujan and SCRATCHPAD''. in Golden and Hussain [GH84], 
+pages 383-??
+\bibitem[And88]{And88}
+G. E. Andrews. ``Application of Scratchpad to problems in special functions
+and combinatorics'' In Janssen [Jan88], pages 158-?? ISBN 3-540-18928-9,
+0-387-18928-9 LCCN QA155.7.E4T74 1988
+\bibitem[Ano91]{Ano91}
+Anonymous editor, Proceedings 1991 Annual Conference, American Society for
+Engineering Education. Challenges of a Changing World. ASEE, Washington, DC
+USA 1991 2 vol.
+\bibitem[Ano92]{Ano92}
+Anonymous. Programming environments for high-level scientific problem solving.
+IFIP TC2/WG 2.5 working conference. IFIP Transactions. A Computer Science 
+and Technology, A-2:??, 1992. CODEN ITATEC. ISSN 0926-5473
+\bibitem[Ano95]{Ano95}
+Anonymous. GAMM 94 annual meeting. Zeitschrift fur Angewandte Mathematik und
+Physik, 75 (suppl. 2), 1995, CODEN ZAMMAX, ISSN 0044-2267
+\bibitem[BC85]{BC85}
+Bruno Buchberger and Bob F. Caviness, editors EUROCAL '85: European
+Conference on Computer Algebra, Linz, Austria, April 1-3, 1985;
+proceedings, volume 204 of Lecture Notes in Computer Science. Springer-Verlag,
+Berlin, Germany / Heidelberg, Germany / London, UK / etc., 1985,
+ISBN 0-387-15983-5 (vol. 1), 0-387-15984-3 (vol. 2) LLCN QA155.7.E4 E86 1985
+Two volumes
+\bibitem[DGDW95]{DGDW95}
+P. A. Broadbery, T. G{\'o}mez-D{\'\i}az, and S. M. Watt
+``On the implementation of dynamic evaluation'' In Levelt [Lev95]
+pages 77-84 ISBN 0-89791-699-9 LCCN QA76.95 I59 1995
+\verb|http://www.acm.org/pubs/citations/proceedings/issac/220346/|
+\verb|p77-broadbery|
+ACM order number 505950
+\bibitem[Boe89]{Boe89}
+Hans-J. Boehm. ``Type inference in the presence of type abstraction'' 
+ACM SIGPLAN Notices, 24(7) pp192-206 July 1989 CODEN SINODQ ISSN 0362-1340
+\verb|http://www.acm.org/pubs/citations/proceedings/pldi/73141/|
+\verb|p192-boehm|
+\bibitem[Bou95]{Bou95}
+J. L. Boulanger ``Object oriented method for Axiom''
+ACM SIGPLAN Notices, 30(2) pp33-41 February 1995 CODEN SINODQ ISSN 0362-1340
+\bibitem[Bro89]{Bro89}
+M. Bronstein. ``Simplificatoin of real elementary functions'' ACM [ACM89]
+pages 207-211 ISBN 0-89791-325-6 LCCN QA76.95.I59 1989
+\bibitem[Bro91]{Bro91}
+M. Bronstein, ``The Risch differential equation on an algebraic curve''
+in Watt [Wat91], pp241-246 ISBN 0-89791-437-6 LCCN QA76.95.I59 1991
+\bibitem[Bro93]{Bro93}
+Manuel Bronstein, editor ISSAC'93: proceedings of the 1993 International
+Symposium on Symbolic and Algebraic Computation, July 6-8, 1993, Kiev, Ukraine,
+ACM Press New York, NY 10036, USA, 1993 ISBN 0-89791-604-2 
+LCCN QA76.95 I59 1993 ACM order number 505930
+\bibitem[BS93]{BS93}
+Manuel Bronstein and Bruno Salvy ``Full partial fraction decomposition of
+rational functions'' In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2
+LCCN QA76.95 I59 1993
+\verb|http://www.acm.org/pubs/citations/proceedings/issac/164081/|
+\verb|p157-bronstein|
+\bibitem[BS94]{BS94}
+T. Beneke and W. Schwippert. Double-track into the future: MathCAD will
+gain new users with Standard and Plus versions. Elektronik, 43(15) pp107-110,
+July 1994, CODEN EKRKAR ISSN 0013-5658
+\bibitem[BT94]{BT94}
+R. Brown and A. Tonks ``Calculations with simplicial and cubical groups
+in AXIOM'' Journal of Symbolic Computation 17(2) pp159-179 February 1994
+CODEN JSYCEH ISSN 0747-7171
+\bibitem[Bur91]{Bur91}
+W. H. Burge, ``Scratchpad and the Rogers-Ramanujan identities'' In 
+Watt [Wat91], pp189-190 ISBN 0-89791-437-6 LCCN QA76.95.I59 1991
+\bibitem[BW87]{BW87}
+W. Burge and S. Watt, ``Infinite structures in SCRATCHPAD II''
+Technical Report RC 12794 (\#57573) IBM Thomas J. Watson Research Center,
+Box 218, Yorktown Heights, NY 10598, USA 1987
+\bibitem[BW89]{BW89}
+W. H. Burge and S. M. Watt ``Infinite structures in Scratchpad II''
+in Davenport [Dav89], pp138-148 ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
+\bibitem[Cal94]{Cal94}
+J. Calmet, editor Rhine Workshop on Computer Algebra, Proceedings.
+Universit{\"a}t Karsruhe, Karlsruhe, Germany 1994
+\bibitem[CC91]{CC91}
+G. Cohen and P. Charpin, editors EUROCODE '90 International Symposium on
+Coding Theory and Applications Proceedings. Springer-Verlag, Berlin, Germany
+/ Heidelberg, Germany / London, UK / etc., 1991 ISBN 0-387-54303-1 
+(New York), 3-540-54303-1 (Berlin), LCCN QA268.E95 1990
+\bibitem[CCM92]{CCM92}
+Paul Camion, Bernard Courteau, and Andre Montpetit. ``Un probl{\`{e}}me
+combinatoire dans les graphs de Hamming et sa solution en Scratchpad''
+(English: A combinatorial problem in Hamming Graphs and its solution in
+Scratchpad) Rapports de recherche 1586, Institut National de Recherche en
+Informatique et en Automatique, Le Chesnay, France, January 1992, 12pp
+\bibitem[Dal92]{Dal92}
+S. Dalmas ``A polymorphic functional language applied to symbolic computation''
+In Wang [Wan92] pp369-375 ISBN 0-89791-489-9 (soft cover) 0-89791-490-2 
+(hard cover) LCCN QA76.95.I59 1992
+\bibitem[Dal02]{Dal02}
+T. Daly ``Axiom as open source'' SIGSAM Bulletin (ACM Special Interest Group
+on Symbolic and Algebraic Manipulation) 36(1) pp28-?? March 2002
+CODEN SIGSBZ ISSN 0163-5824
+\bibitem[Dal09]{Dal09}
+Daly, Timothy, "The Axiom Literate Documentation"
+\verb|http://axiom.axiom-developer.org/axiom-website/documentation.html|
+\bibitem[Dal06]{Dal06}
+Timothy Daly ``Axiom Volume 1: Tutorial'' Lulu, Inc. 860 Aviation Parkway,
+Suite 300, Morrisville, NC 27560 USA, 2006 ISBN 141166597X 287pp
+\verb|http://www.lulu.com/content/190827|
+\bibitem[Dav89]{Dav89}
+J. H. Davenport, editor EUROCAL '87 European Conference on Computer Algebra
+Proceedings Springer-Verlag, Berlin, Germany / Heidelberg, Germany / London,
+UK / etc., 1989 ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
+\bibitem[Dav92a]{Dav92a}
+J. H. Davenport ``The AXIOM system'' AXIOM Technical Report TR5/92 (ATR/3)
+(NP2492) Numerical Algorithms Group, Inc., Downer's Grove, IL, USA and
+Oxford, UK, December 1992 
+\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[Dav92b]{Dav92b}
+J. H. Davenport ``How does one program in the AXIOM system?'' AXIOM Technical
+Report TR6/92 (ATR/4)(NP2493) Numerical Algorithms Group, Inc., Downer's
+Grove, IL, USA and Oxford, UK December 1992
+\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[Dav93]{Dav93}
+J. H. davenport ``Primality testing revisited'' Technical Report TR2/93
+(ATR/6)(NP2556) Numerical Algorithms Group, Inc., Downer's Grove, IL, USA
+and Oxford, UK, August 1993
+\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[DD89]{DD89}
+C. Dicrescenzo and D. Duval ``Algebraic extensions and algebraic closure in
+Scratchpad II'' In Gianni [Gia89], pp440-446 ISBN 3-540-51084-2
+LCCN QA76.95.I57 1998 Conference held jointly with AAECC-6
+\bibitem[DGJ84]{DGJ84}
+J. Davenport, P. Gianni, R. Jenks, V. Miller, S. Morrison, M. Rothstein, 
+C. Sundaresan, R. Sutor and B. Trager ``Scratchpad'' Mathematical Sciences
+Department, IBM Thomas Watson Research Center 1984
+\bibitem[DGT91]{DGT91}
+J. H. Davenport, P. Gianni, and B. M. Trager ``Scratchpad's view of algebra
+II: A categorical view of factorization'' In Watt [Wat91], pp32-38
+ISBN 0-89791-437-6 LCCN QA76.95.I59 also in: AXIOM Technical Report, ATR/2,
+NAG Ltd., Oxford, 1992
+\bibitem[DGT92]{DGT92}
+J. H. Davenport, P. Gianni, and B. M. Trager ``Scratchpad's view of algebra
+II: A categorical view of factorization'' Technical Report TR4/92 (ATR/2)
+(NP2491), Numerical Algorithms Group, Inc., Downer's Grove, IL, USA and
+Oxford, UK, December 1992
+\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[DJ92]{DJ92}
+D. Duval and F. Jung ``Examples of problem solving using computer algebra''
+IFIP Transactions. A. Computer Science and Technology, A-2 pp133-141, 143 1992
+CODEN ITATEC. ISSN 0926-5473
+\bibitem[Doo99]{Doo99}
+Sam Dooley, editor. ISSAC 99: July 29-31, 1999, Simon Fraser University,
+Vancouver, BC, Canada: proceedings of the 1999 International Symposium on
+Symbolic and Algebraic Computation. ACM Press, New York, NY 10036, USA, 1999.
+ISBN 1-58113-073-2 LCCN QA76.95.I57 1999
+\bibitem[Doy99]{Doy99}
+Nicolas J. Doye. ``Automated coercion for Axiom'' in Dooley [Doo99], pp229-235
+ISBN 1-58113-073-2 LCCN QA76.95.I57 1999
+\verb|http://www.acm.org/pubs/contents/proceedings/issac/309831|
+\bibitem[DST88]{DST88}
+J. H. Davenport, Y. Siret, and E. Tournier. Computer Algebra: Systems and
+Algorithms for Algebraic Computation. Academic Press, New York, NY, USA, 1988,
+ISBN 0-12-204230-1
+\bibitem[DT90]{DT90}
+J. H. Davenport and B. M. Trager ``Scratchpad's view of algebra I: Basic
+commutative algebra'' In Miola [Mio90], pp40-54. ISBN 0-387-52531-9 (New York),
+3-540-52531-9 (Berlin). LCCN QA76.9.S88I576 1990 also in AXIOM Technical
+Report, ATR/1, NAG Ltd., Oxford, 1992
+\bibitem[DT92]{DT92}
+J. H. Davenport and B. M. Trager ``Scratchpad's view of algebra I: Basic
+commutative algebra'' Technical Report TR3/92 (ATR/1)(NP2490), Numerical
+Algorithms Group, Inc., Downer's Grove, IL, USA and Oxford, UK, December 1992. 
+\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[Fat90]{Fat90}
+R. J. Fateman ``Advances and trends in the design and construction of 
+algebraic manipulation systems'' In Watanabe and Nagata [WN90], pp60-67
+ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
+\bibitem[Fit84]{Fit84}
+J. P. Fitch, editor, EUROSAM '84: International Symposium on Symbolic and
+Algebraic Computation, Cambridge, England, July 9-11, 1984, volume 174 of
+Lecture Notes in Computer Science. Springer-Verlag, Berlin, Germany /
+Heildelberg, Germany / London, UK / etc., 1984 ISBN 0-387-13350-X
+LCCN QA155.7.E4 I57 1984
+\bibitem[Fit93]{Fit93}
+J. Fitch, editor. Design and Implementation of Symbolic Computation Systems
+International Symposium DISCO '92 Proceedings. Springer-Verlag, Berlin, 
+Germany / Heildelberg, Germany / London, UK / etc., 1993. ISBN 0-387-57272-4
+(New York), 3-540-57272-4 (Berlin). LCCN QA76.9.S88I576 1992
+\bibitem[For90]{For90}
+A. Fortenbacher. ``Efficient type inference and coercion in computer algebra''
+In Miola [Mio90], pp56-60. ISBN 0-387-52531-9 (New York), 3-540-52531-9
+(Berlin). LCCN QA76.9.S88I576 1990
+\bibitem[Fou90]{Fou90}
+Francois Fouche. ``Une implantation de l'algorithme de Kovacic en Scratchpad''
+Technical report, Institut de Recherche Math{\'{e}}matique Avanc{\'{e}}e''
+Strasbourg, France, 1990 31pp
+\bibitem[GBL91]{GBL91}
+B. M. Goodwin, R. A. Buonopane, and A. Lee. ``Using MathCAD in teaching
+material and energy balance concepts''. In Anonymous [Ano91], pp345-349
+(vol. 1) 2 vols.
+\bibitem[GH84]{GH84}
+V. Ellen Golden and M. A. Hussain, editors. Proceedings of the 1984 MACSYMA
+Users' Conference: Schenectady, New York, July 23-25, 1984, General Electric,
+Schenectady, NY, USA, 1984
+\bibitem[GHK91]{GHK91}
+J. Grabmeier, K. Huber, and U. Krieger. ``Das ComputeralgebraSystem AXIOM
+bei kryptologischen und verkehrstheoretischen Untersuchungen des
+Forschunginstituts der Deutschen Bundespost TELEKOM'' Technischer Report
+TR 75.91.20, IBM Wissenschaftliches Zentrum, Heidelberg, Germany, 1991
+\bibitem[Gia89]{Gia89}
+P. (Patrizia) Gianni, editor. Symbolic and Algebraic Computation. 
+International Symposium ISSAC '88, Rome, Italy, July 4-8, 1988. Proceedings,
+volume 358 of Lecture Notes in Computer Science. Springer-Verlag, Berlin, 
+Germany / Heildelberg, Germany / London, UK / etc., 1989. ISBN 3-540-51084-2
+LCCN QA76.95.I57 1988 Conference held jointly with AAECC-6
+\bibitem[Gil92]{Gil92}
+I. Gil. ``Computation of the Jordan canonical form of a square matrix (using
+the Axiom programming language). In Wang [Wan92], pp138-145. 
+ISBN 0-89791-489-9 (soft cover), 0-89791-490-2 (hard cover)
+LCCN QA76.95.I59 1992
+\bibitem[GJ71]{GJ71}
+J. H. Griesmer and R. D. Jenks ``SCRATCHPAD/1 -- an interactive facility for
+symbolic mathematics'' In Petrick [Pet71], pp42-58. LCCN QA76.5.S94 1971
+\verb|http://delivery.acm.org/10.1145/810000/806266/p42-griesmer.pdf|
+\bibitem[GJ72a]{GJ72a}
+J. Griesmer and R. Jenks. ``Experience with an online symbolic math system
+SCRATCHPAD''. in Online'72 [Onl72] ISBN 0-903796-02-3 LCCN QA76.55.O54 1972
+Two volumes
+\bibitem[GJ72b]{GJ72b}
+James H. Griesmer and Richard D. Jenks. ``SCRATCHPAD: A capsule view''
+ACM SIGPLAN Notices, 7(10) pp93-102, 1972. Proceedings of the symposium
+on Two-dimensional man-machine communications. Mark B. Wells and 
+James B. Morris (eds.).
+\bibitem[GKW03]{GKW03}
+Johannes Grabmeier, Erich Kaltofen, and Volker Weispfenning, editors.
+Computer algebra handbook: foundations, applications, systems.
+Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
+2003. ISBN 3-540-65466-6 637pp Includes CDROM
+\verb|http://www.springer.com/sgw/cda/frontpage/|
+\verb|0,11855,1-102-22-1477871-0,00.html|
+\bibitem[GL93]{GL93}
+A. Goodloe and P. Loustaunau. ``An abstract data type development of graded
+rings'' In Fitch [Fit93], pp193-202. ISBN 0-387-57272-4 (New York),
+3-540-57272-4 (Berlin). LCCN QA76.9.S88I576 1992
+\bibitem[GM86]{GM86}
+R{\"u}diger Gebauer and H. Michael M{\"o}ller ``Buchberger's algorithm and
+staggered linear bases'' In Bruce W. Char, editor. Proceedings of the 1986
+Symposium on Symbolic and Algebraic Computation: SYMSAC '86, July 21-23, 1986
+Waterloo, Ontario, pp218-221 ACM Press, New York, NY 10036, USA, 1986.
+ISBN 0-89791-199-7 LCCN QA155.7.E4 A281 1986 ACM order number 505860
+\bibitem[GM88]{GM88}
+R. Gebauer and H. M. M{\"o}ller ``On an installation of Buchberger's
+algorithm'' Journal of Symbolic Computation, 6(2-3) pp275-286 1988
+CODEN JSYCEH ISSN 0747-7171
+\bibitem[GM89]{GM89}
+P. Gianni and T. Mora ``Algebraic solution of systems of polynomial equations
+using Gr{\"o}bner bases. In Huguet and Poli [HP89], pp247-257
+ISBN 3-540-51082-6 LCCN QA268.A35 1987
+\bibitem[GM94]{GM94}
+D. Gruntz and M. Monagan ``Introduction to Gauss'' SIGSAM Bulletin (ACM
+Special Interest Group on Symbolic and Algebraic Manipulation), 28(3) pp3-19
+August 1994 CODEN SIGSBZ ISSN 0163-5824
+\bibitem[GS92]{GS92}
+J. Grabmeier and A. Scheerhorn ``Finite fields in Axiom'' AXIOM Technical
+Report TR7/92 (ATR/5)(NP2522), Numerical Algorithms Group, Inc., Downer's
+Grove, IL, USA and Oxford, UK, 1992
+\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[HP89]{HP89}
+L. Huguet and A. Poli, editors. Applied Algebra, Algebraic Algorithms and
+Error-Correcting Codes. 5th International Conference AAECC-5 Proceedings.
+Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
+1989. ISBN 3-540-51082-6. LCCN QA268.A35 1987
+\bibitem[Jan88]{Jan88}
+R. Jan{\ss}en, editor. Trends in Computer Algebra, International Symposium
+Bad Neuenahr, May 19-21, 1987, Proceedings, volume 296 of Lecture Notes in
+Computer Science. 
+Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
+1988 ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
+\bibitem[Jen71]{Jen71}
+R. D. Jenks ``META/PLUS: The syntax extension facility for SCRATCHPAD'',
+Research Report RC 3259, International Business Machines, Inc., Thomas J.
+Watson Research Center, Yorktown Heights, NY, USA, 1971
+\bibitem[Jen74]{Jen74}
+R. D. Jenks ``The SCRATCHPAD language'' ACM SIGPLAN Notices, 9(4) pp101-111
+1974 CODEN SINODQ. ISSN 0362-1340
+\bibitem[Jen76]{Jen76}
+Richard D. Jenks. ``A pattern compiler'' In Richard D. Jenks, editor,
+SYMSAC '76: proceedings of the 1976 ACM Symposium on Symbolic and Algebraic
+Computation, August 10-12, 1976, Yorktown Heights, New York, pp60-65,
+ACM Press, New York, NY 10036, USA, 1976. LCCN QA155.7.EA .A15 1976
+QA9.58.A11 1976
+\bibitem[Jen84a]{Jen84a}
+Richard D. Jenks. ``The new SCRATCHPAD language and system for computer
+algebra'' In Golden and Hussain [GH84], pp409-??
+\bibitem[Jen84b]{Jen84b}
+Richard D. Jenks ``A primer: 11 keys to New Scratchpad'' In Fitch [Fit84],
+pp123-147. ISBN 0-387-13350-X LCCN QA155.7.E4 I57 1984
+\bibitem[JOS93]{JOS93}
+G. Jacob, N. E. Oussous, and S. Steinberg, editors. Proceedings SC 93
+International IMACS Symposium on Symbolic Computation. New Trends and
+Developments. LIFL Univ. Lille, Lille France, 1993
+\bibitem[Jo06]{J006}
+Joyner, David "OSCAS - Maxima" SIGSAM Communications in Computer Algebra, 157
+2006
+\verb|sage.math.washington.edu/home/wdj/sigsam/oscas-cca1.pdf|
+\bibitem[JS92]{JS92}
+Richard D. Jenks and Robert S. Sutor ``AXIOM: The Scientific Computation
+System'' 
+Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
+1992 ISBN 0-387-97855-0 (New York), 3-540-97855-0 (Berlin) 742pp
+LCCN QA76.95.J46 1992
+\bibitem[JWS86]{JWS86}
+Richard D. Jenks, Robert S. Sutor, and Stephen M. Watt ``Scratchpad II:
+an abstract datatype system for mathematical computation'' Research Report
+RC 12327 (\#55257), Iinternational Business Machines, Inc., Thomas J. Watson
+Research Center, Yorktown Heights, NY, USA, 1986 23pp
+\bibitem[JWS88]{JWS88}
+R. D. Jenks, R. S. Sutor, and S. M. Watt ``Scratchpad II:
+an abstract datatype system for mathematical computation'' In Jan{\ss}en
+[Jan88], pp12-37. ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
+\bibitem[JT94]{JT94}
+R. D. Jenks and B. M. Trager. ``How to make AXIOM into a Scratchpad'' In ACM
+[ACM94], pp32-40 ISBN 0-89791-638-7 LCCN QA76.95.I59 1994
+\bibitem[KKM89]{KKM89}
+K. Kusche, B. Kutzler, and H. Mayr ``Implementation of a geometry theorem
+proving package in SCRATCHPAD II'' In Davenport [Dav89] pp246-257
+ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
+\bibitem[KN94]{KN94}
+G. Keady and G. Nolan ``Production of Argument SubPrograms in the AXIOM -- NAG
+link: examples involving nonleanr systems'' Technical Report TR1/94 
+ATR/7 (NP2680), Numerical Algorithms Group, Inc., Downer's Grove, IL, USA and
+Oxford, UK, 1994
+\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[Kos91]{Kos91}
+P.-V. Koseleff ``Word games in free Lie algebras: several bases and formulas''
+Theoretical Computer Science 79(1) pp241-256 Feb. 1991 CODEN TCSCDI
+ISSN 0304-3975
+\bibitem[Lam91]{Lam91}
+L. A. Lambe ``Resolutions via homological perturbation'' Journal of Symbolic
+Computation 12(1) pp71-87 July 1991 CODEN JSYCEH ISSN 0747-7171
+\bibitem[LeB91]{LeB91}
+S.E.LeBlanc. ``The use of MathCAD and Theorist in the ChE classroom'' In
+Anonymous [Ano91], pp287-299 (vol. 1) 2 vols.
+\bibitem[LD97]{LD97}
+Richard Liska, Ladislav Drska, Jiri Limpouch, Milan Sinor, Michael Wester,
+Franz Winkler "Computer Algebra - algorithms, systems and applications''
+June 2, 1997 
+\verb|kfe.fjfi.cvut.cz/~liska/ca/all.html|
+\bibitem[Lev95]{Lev95}
+A. H. M. Levelt, editor ISSAC '95: Proceedings of the 1995 International
+Symposium on Symbolic and Algebraic Computation: July 10-12, 1995, Montreal,
+Canada ISSAC-PROCEEDINGS-1995. ACM Press, New York, NY 10036, USA, 1995
+ISBN 0-89791-699-9 LCCN QA76.95 I59 1995 ACM order number 505950
+\bibitem[LM91]{LM91}
+R. Lynch and H. A. Mavromatis ``New quantum mechanical perturbation technique
+using an 'electronic scratchpad' on an inexpensive computer'' American
+Journal of Pyhsics, 59(3) pp270-273, March 1991. CODEN AJPIAS ISSN 0002-9505
+\bibitem[LM06]{LM06}
+Li, Xin, and Maza, Moreno ``Efficient Implementation of Polynomial 
+Arithmetic in a Multiple-Level Programming Environment'' Lecture Notes in
+Computer Science Springer Vol 4151/2006 ISBN 978-3-540-38084-9 pp12-23 
+Proceedings of International Congress of Mathematical Software ICMS 2006
+\verb|www.csd.uwo.ca/~moreno//Publications/Li-MorenoMaza-ICMS-06.pdf|
+\bibitem[Luc86]{Luc86}
+Michael Lucks ``A fast implementation of polynomial factorization'' In
+Bruce W. Char, editor, Proceedings of the 1986 Symposium on Symbolic
+and Algebraic Computation: SYMSAC '86, July 21-23, 1986, Waterloo, Ontario,
+pp228-232 ACM Press, New York, NY 10036, USA, 1986. ISBN 0-89791-199-7
+LCCN QA155.7.E4 A281 1986 ACM order number 505860
+\bibitem[Lue77]{Lue77}
+E. Lueken ``Ueberlegungen zur Implementierung eines Formelmanipulationssystems
+Master's thesis, Technischen Universit{\"{a}}t Carolo-Wilhelmina zu
+Braunschweig. Braunschweig, Germany, 1977
+\bibitem[Mat89]{Mat89}
+J. Mathews ``Symbolic computational algebra applied to Picard iteration''
+Mathematics and computer education, 23(2) pp117-122 Spring 1989 CODEN MCEDDA,
+ISSN 0730-8639
+\bibitem[Mio90]{Mio90}
+A. Miola, editor. Design and Implementation of Symbolic Computation Systems, 
+International Symposium DISCO '90, Capri, Italy, April 10-12, 1990, Proceedings
+volume 429 of Lecture Notes in Cmputer Science,
+Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
+1990 ISBN 0-387-52531-9 (New York), 3-540-52531-9 (Berlin) LCCN QA76.9.S88I576
+1990
+\bibitem[Mio93]{Mio93}
+A. Miola, editor. Design and Implementation of Symbolic Computation Systems, 
+International Symposium DISCO '93 Gmunden, Austria, September 15-17, 1993:
+Proceedings. 
+Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
+1993 ISBN 3-540-57235-X LCCN QA76.9.S88I576 1993
+\bibitem[Mon93]{Mon93}
+M. B. Monagan ``Gauss: a parameterized domain of computation system with
+support for signature functions''. In Miola [Mio93], pp81-94 
+ISBN 3-540-57235-X LCCN QA76.9.S88I576 1993
+\bibitem[Mor89]{Mor89}
+T. Mora, editor Applied Algebra, Algebraic Algorithms and Error-Correcting
+Codes, 6th International Conference, AAECC-6, Rome, Italy, July 4-8, 1998,
+Proceedings, volume 357 of Lecture Notes in Computer Science
+Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
+1989 ISBN 3-540-51083-4, LCCN QA268.A35 1988 Conference held jointly with
+ISSAC '88
+\bibitem[MR90]{MR90}
+E. Melachrinoudis and D. L. Rumpf ``Teaching advantages of transparent computer
+software -- MathCAD'' CoED, 10(1) pp71-76, January-March 1990 CODEN CWLJDP
+ISSN 0736-8607
+\bibitem[Nor75]{Nor75}
+A. C. Norman ``Computing with formal power series'' ACM Transactions on
+Mathematical Software, 1(4) pp346-356 Dec. 1975 CODEN ACMSCU ISSN 0098-3500
+\bibitem[Oll89]{Oll89}
+F. Ollivier ``Inversibility of rational mappings and structural 
+identifiablility in automatics'' In ACM [ACM89], pp43-54 ISBN 0-89791-325-6
+LCCN QA76.95.I59 1989
+\bibitem[Onl72]{Onl72}
+Online 72: conference proceedings ... international conference on online
+interactive computing, Brunel University, Uxbridge, England, 4-7 September
+1972 ISBN 0-903796-02-3 LCCN QA76.55.O54 1972 Two volumes.
+\bibitem[Pet71]{Pet71}
+S. R. Petric, editor. Proceedings of the second symposium on Symbolic and
+Algebraic Manipulation, March 23-25, 1971, Los Angeles, California, ACM Press,
+New York, NY 10036, USA, 1971. LCCN QA76.5.S94 1971
+\bibitem[Pet93]{Pet93}
+M. Petitot ``Experience with Axiom'' In Jacob et al. [JOS93], page 240
+\bibitem[Pur86]{Pur86}
+J. Purtilo ``Applications of a software interconnection system in mathematical
+problem solving environments'' In Bruce W. Char, editor. Proceedings of the
+1986 Symposium on Symbolic and Algebraic Computation: SYMSAC '86, July 21-23,
+ACM Press, New York, NY 10036, USA, 1986. ISBN 0-89791-199-7 LCCN QA155.7.E4
+A281 1986 ACM order number 505860
+\bibitem[Rio92]{Rio92}
+R. Rioboo ``Real algebraic closure of an ordered field, implementation in 
+Axiom'' In Wang [Wan92], pp206-215 ISBN 0-89791-489-9 (soft cover)
+0-89791-490-2 (hard cover) LCCN QA76.95.I59 1992
+\bibitem[Roe95]{Roe95}
+K. G. Roesner ``Verified solutions for parameters of an exact solution for
+non-Newtonian liquids using computer algebra'' Zeitschrift fur Angewandte
+Mathematik und Physik, 75 (suppl. 2):S435-S438, 1995 ISSN 0044-2267
+\bibitem[Sal89]{Sal89}
+B. Salvy ``Examples of automatic asymptotic expansions'' Technical Report 114,
+Inst. Nat. Recherche Inf. Autom., Le Chesnay, France, Dec. 1989 18pp
+\bibitem[Sal91]{Sal91}
+B. Salvy ``Examples of automatic asymptotic expansions'' SIGSAM Bulletin (ACM
+Special Interest Group on Symbolic and Algebraic Manipulation), 25(2) pp4-17
+April 1991 CODEN SIGSBZ ISSN 0163-5824
+\bibitem[Sch88]{Sch88}
+F. Schwarz ``Programming with abstract data types: the symmetry package SPDE
+in Scratchpad'' In Jan{\ss}en [Jan88], pp167-176, ISBN 3-540-18928-9,
+0-387-18928-9 LCCN QA155.7.E4T74 1988
+\bibitem[Sch89]{Sch89}
+F. Schwarz ``A factorization algorithm for linear ordinary differential
+equations'' In ACM [ACM89], pp17-25 ISBN 0-89791-325-6 LCCN QA76.95.I59 1989
+\bibitem[Sch91]{Sch91}
+F. Schwarz ``Monomial orderings and Gr{\"o}bner bases'' SIGSAM Bulletin (ACM
+Special Interest Group on Symbolic and Algebraic Manipulation) 2591) pp10-23
+Jan. 1991 CODEN SIGSBZ ISSN 0163-5824
+\bibitem[Sei94a]{Sei94a}
+W. M. Seiler ``Completion to involution in AXIOM'' in Calmet [Cal94] pp103-104
+\bibitem[Sie94b]{Sie94b}
+W. M. Seiler ``Pseudo differential operators and integrable systems in AXIOM''
+Computer Physics Communications, 79(2) pp329-340 April 1994 CODEN CPHCBZ
+ISSN 0010-4655
+\bibitem[Sit89]{Sit89}
+W. Y. Sit ``On Goldman's algorithm for solving first-order multinomial
+autonomous systems'' In Mora [Mor89], pp386-395 ISBN 3-540-51083-4
+LCCN QA268.A35 1998 Conference held jointly with ISSAC '88
+\bibitem[Sit92]{Sit92}
+W. Y. Sit ``An algorithm for solving parametric linear systems'' Journal
+of Symbolic Computations, 13(4) pp353-394, April 1992 CODEN JSYCEH 
+ISSN 0747-7171
+\bibitem[SJ87a]{SJ87a}
+R. S. Sutor and R. D. Jenks ``The type inference and coercion facilities in
+the Scratchpad II interpreter'' In Wexelblat [Wex87], pp56-63
+ISBN 0-89791-235-7 LCCN QA76.7.S54 v22:7 SIGPLAN Notices, v22 n7 (July 1987)
+\bibitem[Sj87c]{Sj87c}
+Robert S. Sutor and Richard Jenks ``The type inference and coercion facilities
+in the Scratchpad II interpreter'' Research report RC 12595 (\#56575),
+IBM Thomas J. Watson Research Center, Yorktown Heights, NY, USA, 1987, 11pp
+\bibitem[Sme92]{Sme92}
+Trevor J. Smedley ``Using pictorial and object oriented programming for
+computer algebra'' In Hal Berghel et al., editors. Applied computing --
+technologicial challenges of the 199s: proceedings of the 1992 ACM/SIGAPP
+Symposium on Applied Computing, Kansas City Convention Center, March 1-3, 1992
+pp1243-1247. ACM Press, New York, NY 10036, USA, 1992. ISBN 0-89791-502-X
+LCCN QA76.76.A65 S95 1992
+\bibitem[SS88]{SS88}
+D. Shannon and M. Sweedler. ``Using Gr{\"o}bner bases to determine algebra
+membership, split surjective algebra homomorphisms determine birational
+equivalence'' Journal of Symbolic Computation 6(2-3) pp267-273 
+Oct.-Dec. 1988 CODEN JSYCEH ISSN 0747-7171
+\bibitem[SSV87]{SSV87}
+P. Senechaud, F. Siebert, and G. Villard ``Scratchpad II: Pr{\'e}sentation 
+d'un nouveau langage de calcul formel'' Technical Report 640-M, TIM 3 (IMAG),
+Grenoble, France, Feb 1987
+\bibitem[Sut85]{Sut85}
+R. S. Sutor ``The Scratchpad II computer algebra language and system'' In
+Buchberger and Caviness [BC85], pp32-33 ISBN 0-387-15983-5 (vol. 1),
+0-387-15984-3 (vol. 2) LCCN QA155.7.E4 E86 1985 Two volumes.
+\bibitem[SW88]{SW88}
+R. D. Jenks, R. S. Sutor, and S. M. Watt ``Scratchpad II: An abstract
+datatype system for mathematical computation'' In Jan{\ss}en [Jan88],
+pp12-?? ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
+\bibitem[vH94]{vH94}
+M. van Hoeij ``An algorithm for computing an integral basis in an algebraic
+function field'' Journal of Symbolic Computation, 18(4) pp353-363 Oct. 1994
+CODEN JSYCEH ISSN 0747-7171
+\bibitem[Wan89]{Wan89}
+D. Wang ``A program for computing the Liapunov functions and Liapunov
+constants in Scratchpad II'' SIGSAM Bulletin (ACM Special Interest Group
+on Symbolic and Algebraic Manipulation), 23(4) pp25-31, Oct. 1989,
+CODEN SIGSBZ ISSN 0163-5824
+\bibitem[Wan91]{Wan91}
+Dongming Wang, ``Mechanical manipulation for a class of differential
+systems'' Journal of Symbolic Computation, 12(2) pp233-254 Aug. 1991
+CODEN JSYCEH ISSN 0747-7171
+\bibitem[Wan92]{Wan92}
+Paul S. Wang, editor. International System Symposium on Symbolic and
+Algebraic Computation 92 ACM Press, New York, NY 10036, USA, 1992
+ISBN 0-89791-489-9 (soft cover), 0-89791-490-2 (hard cover), 
+LCCN QA76.95.I59 1992
+\bibitem[Wat89]{Wat89}
+S. M. Watt ``A fixed point method for power series computation'' In Gianni
+[Gia89], pp206-217 ISBN 3-540-51084-2 LCCN QA76.95.I57 1988 Conference held
+jointly with AAECC-6
+\bibitem[Wat91]{Wat91}
+Stephen M. Watt, editor Proceedings of the 1991 International Symposium on
+Symbolic and Algebraic Computation, ISSAC'91, July 15-17, 1991, Bonn, Germany,
+ACM Press, New York, NY 10036, USA, 1991 ISBN 0-89791-437-6 
+LCCN QA76.95.I59 1991
+\bibitem[Web93]{Web93}
+A. Weber. ``On coherence in computer algebra'' In Miola [Mio93], pp95-106
+ISBN 3-540-57235-X LCCN QA76.9.S88I576 1993
+\bibitem[Wex87]{Wex87}
+Richard L. Wexelblat, editor. Proceedings of the SIGPLAN '87 Symposium on
+Interpreter and Interpretive Techniques, St. Paul, Minnesota, June 24-26, 1987
+ACM Press, New York, NY 10036, USA, 1987 ISBN 0-89791-235-7
+LCCN QA76.7.S54 v22:7 SIGPLAN Notices, vol 22, no 7 (July 1987)
+\bibitem[WN90]{WN90}
+Shunro Watanabe and Morio Nagata, editors. ISSAC '90 Proceedings of the
+International Symposium on Symbolic and Algebraic Computation ACM Press,
+New York, NY, 10036, USA. 1990 ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
+\bibitem[Zen92]{Zen92}
+Ch. Zenger. ``Gr{\"o}bnerbasen f{\"u}r Differentialformen und ihre
+Implementierung in AXIOM, Diplomarbeit, Universit{\"a}t Karlsruhe,
+Karlsruhe, Germany, 1992
+\end{thebibliography}
+\section{Axiom Citations of External Sources}
+\begin{thebibliography}{999}
+\bibitem[Lam]{Lam}
+Lamport, Leslie, 
+{\it LaTeX: A Document Preparation System,} \\
+Reading, Massachusetts, 
+Addison-Wesley Publishing Company, Inc., 
+1986. ISBN 0-201-15790-X
+\bibitem[Knu84]{Knu84}
+Knuth, Donald, {\it The \TeX{}book} \\
+Reading, Massachusetts, 
+Addison-Wesley Publishing Company, Inc., 
+1984. ISBN 0-201-13448-9
+\bibitem[Alt05]{Alt05}
+Altmann, Simon L. Rotations, Quaternions, and Double Groups
+Dover Publications, Inc. 2005 ISBN 0-486-44518-6
+\bibitem[Ber95]{Ber95}
+Laurent Bertrand. Computing a hyperelliptic integral using
+arithmetic in the jacobian of the curve. {\sl Applicable Algebra in
+Engineering, Communication and Computing}, 6:275-298, 1995
+\bibitem[Bro90]{Bro90}
+M. Bronstein. ``On the integration of elementary functions''
+{\sl Journal of Symbolic Computation} 9(2):117-173, February 1990
+\bibitem[Bro91]{Bro91}
+M. Bronstein. ``The Risch differential equation on an
+algebraic curve'' In S.Watt, editor, {\sl Proceedings of ISSAC'91},
+pages 241-246, ACM Press, 1991.
+\bibitem[Bro97]{Bro97}
+M. Bronstein. {\sl Symbolic Integration I--Transcendental Functions.} 
+Springer, Heidelberg, 1997 ISBN 3-540-21493-3
+\bibitem[Bro98]{Bro98}
+M. Bronstein. ``The lazy hermite reduction'' Rapport de
+Recherche RR-3562, INRIA, 1998
+\bibitem[Her1872]{Her1872}
+E. Hermite. Sur l'int\'{e}gration des fractions
+rationelles. {\sl Nouvelles Annales de Math\'{e}matiques}
+($2^{eme}$ s\'{e}rie), 11:145-148, 1872
+\bibitem[LR90]{LR90}
+Daniel Lazard and Renaud Rioboo. ``Integration of rational
+functions: Rational computation of the logarithmic part'' 
+{\sl Journal of Symbolic Computation}, 9:113-116:1990
+\bibitem[Lio1833a]{Lio1833a}
+Joseph Liouville. Premier m\'{e}moire sur la
+d\'{e}termination des int\'{e}grales dont la valeur est
+alg\'{e}brique. {\sl Journal de l'Ecole Polytechnique}, 14:124-148, 1833
+\bibitem[Lio1833b]{Lio1833b}
+Joseph Liouville. Second m\'{e}moire sur la
+d\'{e}termination des int\'{e}grales dont la valeur est
+alg\'{e}brique. {\sl Journal de l'Ecole Polytechnique}, 14:149-193, 1833
+\bibitem[Mul97]{Mul97}
+Thom Mulders. ``A note on subresultants and a correction to
+the lazard/rioboo/trager formula in rational function integration'' 
+{\sl Journal of Symbolic Computation}, 24(1):45-50, 1997
+\bibitem[Ost1845]{Ost1845}
+M.W. Ostrogradsky. De l'int\'{e}gration des fractions
+rationelles. {\sl Bulletin de la Classe Physico-Math\'{e}matiques de
+l'Acae\'{e}mie Imp\'{e}riale des Sciences de St. P\'{e}tersbourg,}
+IV:145-167,286-300, 1845
+\bibitem[Ris68]{Ris68}
+Robert Risch. ``On the integration of elementary functions
+which are built up using algebraic operations'' Research Report
+SP-2801/002/00, System Development Corporation, Santa Monica, CA, USA, 1968
+\bibitem[Ris69a]{Ris69a}
+Robert Risch. ``Further results on elementary functions'' 
+Research Report RC-2042, IBM Research, Yorktown Heights, NY, USA, 1969
+\bibitem[Ris69b]{Ris69b}
+Robert Risch, ``The problem of integration in finite terms'' 
+{\sl Transactions of the American Mathematical Society} 139:167-189, 1969
+\bibitem[Ris70]{Ris70}
+Robert Risch. ``The solution of problem of integration in finite terms'' 
+{\sl Transactions of the American Mathematical Society} 76:605-608, 1970
+\bibitem[Ris79]{Ris79}
+Robert Risch. ``Algebraic properties of the elementary functions of analysis'' 
+{\sl American Journal of Mathematics}, 101:743-759, 1979
+\end{thebibliography}
+\end{document}
diff --git a/changelog b/changelog
index d32578a..3a443a9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20100418 tpd src/axiom-website/patches.html 20100418.03.tpd.patch
+20100418 tpd books/Makefile add Axiom Bibliography book
+20100418 tpd books/bookvolbib add Axiom Bibliography book
 20100418 tpd src/axiom-website/patches.html 20100418.02.tpd.patch
 20100418 tpd src/input/Makefile add liska.input
 20100418 tpd add src/input/liska.input add liska test suite
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8dfdcbb..212d8c2 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2631,5 +2631,7 @@ books/bookvol10.5 add BLAS1 daxpy<br/>
 books/bookvol10.5 add BLAS1 dcopy<br/>
 <a href="patches/20100418.02.tpd.patch">20100418.02.tpd.patch</a>
 add src/input/liska.input add liska test suite<br/>
+<a href="patches/20100418.03.tpd.patch">20100418.03.tpd.patch</a>
+books/bookvolbib add Axiom Bibliography book<br/>
  </body>
 </html>
